libogg documentation | libogg release 1.3.2 - 20140527

# ogg_stream_packetin

declared in "ogg/ogg.h";

This function submits a packet to the bitstream for page encapsulation. After this is called, more packets can be submitted, or pages can be written out.

In a typical encoding situation, this should be used after filling a packet with data. The data in the packet is copied into the internal storage managed by the ogg_stream_state, so the caller is free to alter the contents of op after this call has returned.

    int ogg_stream_packetin(ogg_stream_state *os,ogg_packet *op);

### Parameters

os
  Pointer to a previously declared ogg_stream_state struct.
op
  Pointer to the packet we are putting into the bitstream.

### Return Values

> - 0 returned on success. -1 returned in the event of internal error.

copyright © 2000-2014 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.3.2 - 20140527